﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win.UltraWinDataSource;


namespace BoundToUltraDS
{
    class ViewModel
    {
        public UltraDataSource ultraDataSource1 { get; set; }

        public ViewModel()
        {
            ultraDataSource1 = new UltraDataSource();
            this.ultraDataSource1.Band.Columns.Add("Col0", typeof(string));
            this.ultraDataSource1.Band.Columns.Add("Col1", typeof(string));

            // Add a child band to the root band with the key of "ChildBand". 
            UltraDataBand childBand =
              this.ultraDataSource1.Band.ChildBands.Add("ChildBand");

            UltraDataBand childBand2 =
             childBand.ChildBands.Add("childBand2");
            UltraDataBand childBand3 =
              childBand2.ChildBands.Add("childBand3");
            UltraDataBand childBand4 =
             childBand3.ChildBands.Add("childBand4");
            UltraDataBand childBand5 =
              childBand4.ChildBands.Add("childBand5");
            UltraDataBand childBand6 =
              childBand5.ChildBands.Add("childBand6");
            UltraDataBand childBand7 =
             childBand6.ChildBands.Add("childBand7");
            UltraDataBand childBand8 =
              childBand7.ChildBands.Add("childBand8");
            UltraDataBand childBand9 =
             childBand8.ChildBands.Add("childBand9");
            UltraDataBand childBand10 =
              childBand9.ChildBands.Add("childBand10");
            UltraDataBand childBand11 =
              childBand10.ChildBands.Add("childBand11");
            UltraDataBand childBand12 =
              childBand11.ChildBands.Add("childBand12");
            UltraDataBand childBand13 =
              childBand12.ChildBands.Add("childBand113");
            UltraDataBand childBand14 =
              childBand13.ChildBands.Add("childBand14");
            UltraDataBand childBand15 =
              childBand14.ChildBands.Add("childBand15");
            UltraDataBand childBand16 =
              childBand15.ChildBands.Add("childBand16");
            UltraDataBand childBand17 =
              childBand16.ChildBands.Add("childBand17");
            UltraDataBand childBand18 =
              childBand17.ChildBands.Add("childBand18");
            UltraDataBand childBand19 =
              childBand18.ChildBands.Add("childBand19");
            UltraDataBand childBand20 =
              childBand19.ChildBands.Add("childBand20");
            UltraDataBand childBand21 =
              childBand20.ChildBands.Add("childBand21");
            UltraDataBand childBand22 =
              childBand21.ChildBands.Add("childBand22");
            UltraDataBand childBand23 =
              childBand22.ChildBands.Add("childBand23");
            UltraDataBand childBand24 =
              childBand23.ChildBands.Add("childBand24");
           

            // Add two columns to the child band. 
            childBand.Columns.Add("ChildCol0", typeof(string));
            childBand.Columns.Add("ChildCol1", typeof(string));

            // Set the count on the root rows collection to 2. 
            this.ultraDataSource1.Rows.SetCount(2);

            UltraDataRow row;

            // Initialize rows with data. 

            // Get the first row. 
            row = this.ultraDataSource1.Rows[0];
            row["Col0"] = "Row 0, Col 0";
            row["Col1"] = "Row 0, Col 1";

            // Initialize the child rows of the row. 
            UltraDataRowsCollection childRows = row.GetChildRows("ChildBand");
            childRows.SetCount(2);
            childRows[0]["ChildCol0"] = "Child Row 0, ChildCol 0";
            childRows[0]["ChildCol1"] = "Child Row 0, ChildCol 1";

            childRows[1]["ChildCol0"] = "Child Row 1, ChildCol 0";
            childRows[1]["ChildCol1"] = "Child Row 1, ChildCol 1";

            // Get the second row. 
            row = this.ultraDataSource1.Rows[1];
            row["Col0"] = "Row 1, Col 0";
            row["Col1"] = "Row 1, Col 1";

            // Initialize the child rows of the row. 
            childRows = row.GetChildRows("ChildBand");
            childRows.SetCount(1);

        }

    }
}
